package com.anthonycr.sample;

import android.support.annotation.NonNull;

/**
 * Copyright 7/8/2016 Anthony Restaino
 * <p/>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p/>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p/>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
public class Contact {

    private int id;
    @NonNull
    private String name = "";
    private long number = -1;
    private long birthday = System.currentTimeMillis();

    public Contact() {

    }

    public Contact(@NonNull String name, long number, long birthday) {
        this.name = name;
        this.number = number;
        this.birthday = birthday;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setName(@NonNull String name) {
        this.name = name;
    }

    public void setNumber(long number) {
        this.number = number;
    }

    public void setBirthday(long birthday) {
        this.birthday = birthday;
    }

    public int getId() {
        return id;
    }

    @NonNull
    public String getName() {
        return name;
    }

    public long getNumber() {
        return number;
    }

    public long getBirthday() {
        return birthday;
    }

}
